.header {
    top: 0;
    left: 0;
    right: 0;
    z-index: 1200;
    padding-top: rem(16);
    position: relative;
    background: #fff url('../img/header__pattern.jpg') 50% 0 repeat-x;
    border-bottom: 1px solid #E8EBF0;

    &__row {
        height: rem(61);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__logo {
        width: rem(110);
        font-size: 0;
        line-height: 0;
        display: block;
    }



    &__social {
        font-size: 0;
        line-height: 0;
        margin-left: rem(-5);
        display: flex;
        align-items: center;

        a {
            height: rem(18);
            margin: 0 rem(5);
            display: inline-block;

            .ico-svg {
                fill: #1D1D1B;
                transition: .3s;
            }

            &:hover {

                .ico-svg {
                    fill: #040d5f;
                    transition: .3s;
                }
            }
        }
    }

    &__mobile {
        font-size: 0;
        line-height: 0;
        display: flex;
        width: rem(80);
        align-items: center;
        justify-content: flex-end;

        &--search {
            height: rem(18);
            display: inline-block;

            .ico-svg {
                fill: #1D1D1B;
                transition: .3s;
            }

            &:hover {

                .ico-svg {
                    fill: #1D1D1B;
                    transition: .3s;
                }
            }
        }

        &--toggle {
            height: rem(18);
            margin-left: rem(14);
            position: relative;
            display: inline-block;

            .ico-svg {
                fill: #1D1D1B;
                transition: .3s;
            }

            &:hover {

                .ico-svg {
                    fill: #1D1D1B;
                    transition: .3s;
                }
            }
        }
    }

    &__content {
        display: none;
    }

    &__nav {
        margin: 0;
        padding: 0;
        font-weight: 700;
        font-size: rem(14);
        line-height: rem(20);
        list-style: none;
        display: flex;
        align-items: center;

        li {
            margin: 0 rem(5) 0 rem(40);

            a {
                opacity: 0.85;
                white-space: nowrap;
                display: inline-block;
                position: relative;
                text-decoration: none;
                color: #1D1D1B;
                transition: 0.3s;

                &:before {
                    left: 0;
                    right: 0;
                    bottom: rem(-3);
                    height: 2px;
                    display: block;
                    position: absolute;
                    background: rgb(236,10,21);
                    background: linear-gradient(90deg, rgba(236,10,21,1) 0%, rgba(35,59,219,1) 100%);
                    opacity: 0;
                    visibility: hidden;
                    transition: .25s;
                    border-radius: 4px;
                    content: '';
                }

                &:hover {
                    opacity: 1;
                    transition: 0.3s;

                    &:before {
                        opacity: 1;
                        visibility: visible;
                        transition: .25s;
                    }
                }
            }
        }
    }

    &__search {
        flex-grow: 1;
    }

    @media (min-width: $screen-md-min) {

        &__logo {
            width: rem(104);
        }
    }

    @media (min-width: $screen-lg-min) {

        &__row {
            height: rem(79);
        }

        &__mobile {
            display: none;
        }

        &__logo {
            order: 1;
            flex-shrink: 0;
        }

        &__social {
            order: 3;
            margin: 0 rem(-5) 0 0;
            flex-shrink: 0;
        }

        &__content {
            padding-left: rem(60);
            padding-right: rem(40);
            display: flex;
            align-items: center;
            order: 2;
            flex-grow: 1;
        }
    }
}

.nav {
    z-index: 1190;
    display: none;
    position: relative;
    background: #fff;
    border-bottom: 1px solid #E8EBF0;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.08);

    &.fix {
        opacity: 0;
        visibility: hidden;
        transition: .3s;
    }

    &__row {
        height: rem(63);
        display: flex;
        align-items: center;
        justify-content: flex-end;
    }

    &__account {
        width: rem(32);
        height: rem(32);
        font-size: 0;
        line-height: 0;
        display: block;
        padding: rem(2);
        margin-left: rem(26);
        position: relative;
        border-radius: 50%;
        border: 1px solid #1D1D1B;

        i {
            width: rem(26);
            height: rem(26);
            display: block;
            overflow: hidden;
            border-radius: 50%;
        }
    }

    &__menu {
        margin: 0;
        padding: 0;
        font-size: rem(14);
        line-height: rem(20);
        list-style: none;
        display: flex;
        align-items: center;

        > li {
            margin-right: rem(54);

            > a {
                font-weight: 700;
                white-space: normal;
                display: inline-block;
                text-decoration: none;
                color: rgba(29,29,27,0.85);
                letter-spacing: 0.01em;
                transition: .3s;
                position: relative;

                &:before {
                    left: 0;
                    right: 0;
                    bottom: -3px;
                    content: '';
                    height: 2px;
                    display: block;
                    position: absolute;
                    background: rgb(236,10,21);
                    background: linear-gradient(90deg, rgba(236,10,21,1) 0%, rgba(35,59,219,1) 100%);
                    opacity: 0;
                    visibility: hidden;
                    transition: .25s;
                    border-radius: 4px;
                }

                &:hover {
                    color: rgba(29,29,27,1);
                    transition: .3s;

                    &:before {
                        opacity: 1;
                        visibility: visible;
                        transition: .25s;
                    }
                }

                &:active {

                    &:before {
                        opacity: 1;
                        visibility: visible;
                        transition: .25s;
                    }
                }
            }
        }
    }

    @media (min-width: $screen-lg-min) {
        display: block;
    }

    @media (min-width: $screen-xl-min) {

    }
}

.nav-mobile {
    top: 0;
    right: 0;
    bottom: 0;
    color: rgba(29,29,27,0.9);
    width: rem(320);
    z-index: 1500;
    position: fixed;
    overflow-y: auto;
    margin-right: rem(-340);
    background: #fff;
    padding: rem(40) rem(25) rem(40) rem(32);
    display: flex;
    flex-direction: column;
    transition: 0.3s;

    &.open {
        margin-right: 0;
        transition: 0.3s;
    }

    &__close {
        top: rem(22);
        right: rem(15);
        width: rem(18);
        height: rem(18);
        font-size: 0;
        line-height: 0;
        cursor: pointer;
        position: absolute;
        display: inline-block;

        .ico-svg {
            fill: rgba(29,29,27,0.9);
        }
    }

    &__account {
        color: rgba(29,29,27,0.9);
        font-weight: 700;
        font-size: rem(14);
        line-height: rem(20);
        margin-bottom: rem(32);
        text-decoration: none;
        display: flex;
        align-items: center;

        i {
            width: rem(26);
            height: rem(26);
            display: block;
            overflow: hidden;
            border-radius: 50%;
        }

        span {
            opacity: 0.85;
            display: block;
            max-width: 100%;
            overflow: hidden;
            padding-left: rem(10);
            text-overflow: ellipsis;
        }

        &:hover {
            color: #040D5F;
            text-decoration: none;
        }
    }

    &__search {
        margin-bottom: rem(30);
    }

    &__menu {
        margin: 0 0 rem(30) 0;
        padding: 0;
        font-weight: 700;
        font-size: rem(14);
        line-height: rem(20);
        list-style: none;
        flex-grow: 1;

        > li {
            margin-bottom: rem(20);

            &:last-child {
                margin-bottom: 0;
            }

            > a {
                text-decoration: none;
                color: rgba(29,29,27,0.9);
                transition: .3s;
                display: flex;
                align-items: center;

                span {
                    display: block;
                }

                i {
                    width: rem(8);
                    height: rem(16);
                    font-size: 0;
                    line-height: 0;
                    display: block;
                    margin-left: rem(9);
                }

                .ico-svg {
                    fill: rgba(29,29,27,0.9);
                }

                &:hover {
                    text-decoration: none;
                    color: #040D5F;

                    .ico-svg {
                        fill: #040D5F;
                    }
                }
            }

            > ul {
                margin: 0;
                display: none;
                padding: 15px 0 0 10px;
                list-style: none;

                > li {
                    margin-bottom: rem(15);

                    > a {
                        text-decoration: none;
                        color: rgba(29,29,27,0.9);
                        transition: .3s;
                        display: flex;
                        align-items: center;

                        i {
                            width: rem(50);
                            font-size: 0;
                            line-height: 0;
                            margin-right: rem(10);
                            display: inline-block;
                        }

                        span {
                            display: inline-block
                        }

                        &:hover {
                            text-decoration: none;
                            color: #040D5F;
                            transition: .3s;
                        }
                    }
                }
            }

            &:hover {

                > a {

                    i {
                        margin-top: rem(-9);
                        @include rotate(90deg);
                    }
                }

                ul {
                    display: block;
                }
            }
        }
    }

    &__social {
        font-size: 0;
        line-height: 0;
        display: flex;
        align-items: center;

        a {
            height: rem(18);
            margin-right: rem(10);
            display: inline-block;

            .ico-svg {
                fill: rgba(29,29,27,0.9);
                transition: .3s;
            }

            &:hover {

                .ico-svg {
                    fill: #040D5F;
                    transition: .3s;
                }
            }
        }
    }

    .search {
        position: relative;

        &__input {
            color: rgba(29,29,27,0.9);
            border: 1px solid rgba(29,29,27,0.9);
            @include placeholder(rgba(29,29,27,0.9));

            &:focus,
            &:active {
                @include placeholder(transparent);
            }
        }

        &__button {
            top: 50%;
            right: rem(20);
            z-index: 10;
            width: rem(18);
            height: rem(18);
            border: none;
            outline: none;
            font-size: 0;
            line-height: 0;
            cursor: pointer;
            margin-top: rem(-9);
            position: absolute;
            display: inline-block;
            background: transparent;

            .ico-svg {
                fill: rgba(29,29,27,0.9);
            }
        }
    }

    &__auth {
        padding-top: rem(10);
        padding-bottom: rem(10);
        display: flex;
        align-items: center;
        margin-bottom: rem(32);
        border-bottom: 1px solid #f1f1f1;

        &--button {
            width: rem(36);
            height: rem(36);
            border: none;
            outline: none;
            padding: rem(8) 0;
            font-size: 0;
            line-height: 0;
            margin-right: rem(30);
            text-align: center;
            position: relative;
            display: inline-block;
            background: transparent;

            i {
                height: rem(20);
                display: inline-block;
            }

            svg {
                fill: #000;
            }

            &:hover {
                fill: $blue-500;
            }
        }
    }

    @media (min-width: $screen-lg-min) {
        display: none;
    }
}

.search {
    position: relative;

    &__input {
        margin: 0;
        width: 100%;
        height: rem(36);
        outline: none;
        color: #1D1D1B;
        box-shadow: none;
        font-weight: 700;
        font-size: rem(12);
        line-height: rem(20);
        border-radius: rem(22);
        display: inline-block;
        vertical-align: middle;
        background: transparent;
        padding: rem(7) rem(44) rem(7) rem(19);
        border: 1px solid #E8EBF0;
        @include placeholder(#1D1D1B);

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            outline: none;
            @include placeholder(transparent);
        }
    }

    &__button {
        top: 50%;
        right: rem(20);
        z-index: 10;
        width: rem(18);
        height: rem(18);
        border: none;
        outline: none;
        font-size: 0;
        line-height: 0;
        cursor: pointer;
        margin-top: rem(-9);
        position: absolute;
        display: inline-block;
        background: transparent;

        .ico-svg {
            fill: #1D1D1B;
        }
    }

    @media (min-width: $screen-lg-min) {

    }
}

.page-home {

    .header {
        padding-top: 0;
        position: absolute;
        background: transparent;
        border-bottom: 1px solid rgba(255,255,255,0.3);

        &__social {

            a {

                .ico-svg {
                    fill: rgba(255,255,255,0.85);
                }

                &:hover {

                    .ico-svg {
                        fill: rgba(255,255,255,1);
                    }
                }
            }
        }

        &__mobile {

            &--search {

                .ico-svg {
                    fill: rgba(255,255,255,0.85);
                }

                &:hover {

                    .ico-svg {
                        fill: rgba(255,255,255,1);
                    }
                }
            }

            &--toggle {

                .ico-svg {
                    fill: rgba(255,255,255,0.85);
                }

                &:hover {

                    .ico-svg {
                        fill: rgba(255,255,255,1);
                    }
                }
            }
        }

        &__nav {

            li {

                a {
                    opacity: 1;
                    color: rgba(255,255,255,0.85);

                    &:hover {
                        color: rgba(255,255,255,1);
                    }
                }
            }
        }
    }

    .nav {
        top: rem(80);
        left: 0;
        right: 0;
        position: absolute;
        background: transparent;
        border-bottom: 1px solid rgba(255,255,255,0.3);
        box-shadow: none;

        &__row {
            height: rem(63);
            display: flex;
            align-items: center;
            justify-content: flex-end;
        }

        &__account {
            border: 1px solid rgba(255,255,255,0.7);
        }

        &__menu {

            > li {

                > a {
                    color: rgba(255,255,255,0.85);

                    &:hover {
                        color: rgba(255,255,255,1);
                    }
                }
            }
        }

        @media (min-width: $screen-lg-min) {
            display: block;
        }

        @media (min-width: $screen-xl-min) {

        }
    }

    .search {
        position: relative;

        &__input {
            color: #fff;
            border: 1px solid rgba(255, 255, 255, 0.85);
            @include placeholder(#fff);

            &:focus,
            &:active {
                @include placeholder(transparent);
            }
        }

        &__button {

            .ico-svg {
                fill: rgba(255, 255, 255, 0.85);
            }
        }
    }

}
